<!DOCTYPE html>
<html lang="en">
<%- include('bases/head') -%>
<body>
<script>
    function fill_edit_form(el) {
        let elements = $(el.parentNode.parentNode).find('[data-data]')
        for (let element of elements)
            $(`[name="${element.getAttribute('data-data')}"]`).val(element.innerHTML)
        $("#type").val('edit')
        $("#submit_btn").html('Изменить')
        $("#cancel_btn").prop('hidden', false)
        $("#edit_btn").prop('hidden', true)
    }

    function fill_create_form() {
        $("#type").val('create')
        $("#submit_btn").html('Добавить')
        $("#cancel_btn").prop('hidden', true)
        $("#edit_btn").prop('hidden', false)
    }
</script>
<div class="d-flex justify-content-between w-75 m-auto vh-100 pt-5 flex-wrap row">
    <div class="col-lg-7">
        <form method="post" id="form">
            <input name="id" >
            <input name="type" value="create" id="type" >
            <div class="input-group">
                <input class="form-control form-control-lg" type="date" required name="date">
                <input class="form-control form-control-lg" type="text" placeholder="Заголовок..." name="header"
                       autocomplete="off">
            </div>
            <textarea class="form-control form-control-lg mt-3 no-resize" rows="10"
                      placeholder="Дорогой дневник..." name="body"></textarea>
            <div class="d-flex justify-content-around mt-3" id="form_buttons">
                <button class="btn btn-lg btn-outline-warning" type="reset" id="edit_btn">Сбросить</button>
                <button class="btn btn-lg btn-outline-danger" type="reset" onclick="fill_create_form()" id="cancel_btn"
                        hidden>Отменить изменения
                </button>
                <button class="btn btn-lg btn-outline-success" type="submit" id="submit_btn">Добавить</button>
            </div>
        </form>
        <form class="mt-5" method="get">
            <div class="input-group">
                <div class="input-group-text">Сортировка:</div>
                <input hidden name="type" value="sort">
                <select class="form-control" name="order">
                    <% if (sorting['order'] === 'desc') { %>
                        <option value="asc">По возрастанию</option>
                        <option value="desc" selected>По убыванию</option>
                    <% } else { %>
                        <option value="asc" selected>По возрастанию</option>
                        <option value="desc">По убыванию</option>
                    <% } %>
                </select>
                <select class="form-control" name="field">
                    <% if (sorting['field'] === 'date') { %>
                        <option value="header">Заголовка</option>
                        <option value="body">Содержания</option>
                        <option value="date" selected>Даты</option>
                    <% } else if (sorting['field'] === 'body') { %>
                        <option value="header">Заголовка</option>
                        <option value="body" selected>Содержания</option>
                        <option value="date">Даты</option>
                    <% } else { %>
                        <option value="header" selected>Заголовка</option>
                        <option value="body">Содержания</option>
                        <option value="date">Даты</option>
                    <% } %>
                </select>
                <div class="input-group-text">Поиск:</div>
                <input class="form-control" name="name" autocomplete="off">
                <button class="btn btn-outline-primary" type="submit">Применить</button>
                <button class="btn btn-outline-warning" type="button"
                        onclick="window.location = window.location.href.split('?')[0]">Сбросить
                </button>
            </div>
        </form>
    </div>
    <div class="col-lg-5 h-75 overflow-auto" id="container">
        <% for (let i = 0; i < data.length; i++) { %>
            <div class="card mb-3">
                <p data-data="id" hidden><%= data[i]['id'] %></p>
                <h3 class="card-header" data-data="header"><%= data[i]['header'] %></h3>
                <div class="card-body">
                    <p class="card-text" data-data="body"><%= data[i]['body'] %></p>
                </div>
                <div class="card-body d-inline-flex">
                    <button class="btn btn-outline-info" onclick="fill_edit_form(this)" type="button">Редактировать
                    </button>
                    <form method="post" class="ms-2">
                        <input name="id" value="<%= data[i]['id'] %>">
                        <input name="type" value="delete">
                        <button class="btn btn-outline-danger" type="submit">Удалить</button>
                    </form>
                </div>
                <div class="card-footer text-muted" data-data="date"><%= data[i]['date'] %></div>
            </div>
        <% } %>
    </div>
</div>
</body>
</html>